import request from '@/utils/request'

// 查询逃生线路主列表
export function listLine(query) {
  return request({
    url: '/laboratory/line/list',
    method: 'get',
    params: query
  })
}

// 查询逃生线路主详细
export function getLine(id) {
  return request({
    url: '/laboratory/line/' + id,
    method: 'get'
  })
}

// 新增逃生线路主
export function addLine(data) {
  return request({
    url: '/laboratory/line',
    method: 'post',
    data: data
  })
}

// 修改逃生线路主
export function updateLine(data) {
  return request({
    url: '/laboratory/line',
    method: 'put',
    data: data
  })
}

// 删除逃生线路主
export function delLine(id) {
  return request({
    url: '/laboratory/line/' + id,
    method: 'delete'
  })
}
